Inventor Customization

Reply
Valued Contributor
planglais
Posts: 58
Registered: ‎03-10-2011
Message 1 of 2 (131 Views)
Accepted Solution

Doing translation on an arrow of a leader

131 Views, 1 Replies
04-23-2012 07:02 AM

Hi,

 

I try to move, by translation, an arrow of a leader but my code doing nothing.

 

My code:

 

Dim oDrawDoc As Inventor.DrawingDocument
oDrawDoc = oApp.ActiveDocument

 

Dim oSheets As Inventor.Sheets
oSheets = oDrawDoc.Sheets

 

Dim oSheet As Inventor.Sheet
oSheet = oSheets(1)

 

Dim oTG As Inventor.TransientGeometry

oTG = oApp.TransientGeometry

 

 

Dim oBalloon As Inventor.Balloon

Dim index As Integer

For index = 1 To oSheet.Balloons.Count

    Dim oTranslation As Inventor.Vector2d

    oTranslation = oTG.CreateVector2d(20, 20)

 

    oBalloon = oSheet.Balloons(index)

 

    Dim oArrowPosition as Inventor.Point2d

    oArrowPosition = oBalloon.Leader.AllLeafNodes(1).Position

    oArrowPosition.TranslateBy(oTranslation)
Next


oSheet.Update()

 

 

 

Thanks for help.

 

Pascal

 

Valued Contributor
planglais
Posts: 58
Registered: ‎03-10-2011
Message 2 of 2 (125 Views)

Re: Doing translation on an arrow of a leader

04-23-2012 07:55 AM in reply to: planglais

Ok, I found my answer: use CreatePoint2d method instead of CreateVector2D of TransientGeometry:

 

Dim oNewPosition As Inventor.Vector2d

oNewPosition = oTG.CreatePoint2d(20, 20)

 

oBalloon = oSheet.Balloons(index)

 

Dim oArrow as Inventor.LeaderNode

oArrow = oBalloon.Leader.AllLeafNodes(1)

 

oArrow.Position = oNewPosition

 

 

 

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Inventor Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Autodesk Inventor helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Inventor

Twitter

Facebook

Blogs

Pinterest

Youtube